export class SerialExecutor  {
    constructor() {
        this.acquireQueue=[]
    }
    submit(task)  {
        this.acquireQueue.push(task)
    }
    next(){
        let t = this.acquireQueue.pop()
        if (t) t()
        else return
    }
    start(){
        this.next()
    }

}
