export class LoopExecutor {
    constructor(interval) {
        this.interval = interval
        this.timer=setInterval(() => {
            this.run()
        }, this.interval)
    }
    submit(task) {
        this.task = task
    }
    run() {
        if (this.task)
            this.task()
    }
    stop() {
        this.task = null
        clearInterval(this.timer)
    }
}

let loopExecutor = new LoopExecutor(10 * 1000)
export default loopExecutor